package com.bocloud.sms.booter.controller;

import com.bocloud.sms.interfaces.PortalElementConfigService;
import com.megatron.common.model.GeneralResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 组件配置元素controller层
 *
 * @author lyy
 * @version 2.0
 * @time 2017年12月27日
 */
@RestController
@RequestMapping("/v1/portal/elements")
@Tag(name = "组件配置管理")
public class PortalElementConfigController {
    @Autowired
    private PortalElementConfigService portalElementConfigService;

    /**
     * 组件配置元素列表展示
     *
     * @param poolId 组件id
     * @return 元素列表
     */
    @Operation(summary = "组件配置元素列表展示")
    @GetMapping
    public GeneralResult list(@RequestParam(value = "poolId") Long poolId) {
        if (null != poolId) {
            return portalElementConfigService.list(poolId);
        } else {
            return new GeneralResult(false, "参数格式不正确");
        }
    }
}
