package com.bocloud.sms.service.utils;

import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSONObject;
import com.bocloud.sms.model.QxReqVo;
import com.megatron.common.model.GeneralResult;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class QxUtils {
    private final Logger logger = LoggerFactory.getLogger(this.getClass());
    @Value("${qx.queryAppUrl:http://117.47.88.120:8081/authority/api/v1/apps}")
    private String queryAppUrl;
    @Value("${qx.queryAppModulesUrl:http://117.47.88.120:8081/authority/api/v1/appModules}")
    private String queryAppModulesUrl;
    @Value("${qx.appId:portal}")
    private String appId;
    @Value("${qx.appName:portal}")
    private String appName;

    public String queryApp(String userToken, String userId){
        QxReqVo qxReqVo = new QxReqVo(userToken, userId,appId,appName,"","");
        return call(queryAppUrl,qxReqVo);
    }

    public String queryAppModules(String userToken, String userId){
        QxReqVo qxReqVo = new QxReqVo("", userId,appId,appName,"","");
        return call(queryAppModulesUrl,qxReqVo);
    }

    public String call(String url, QxReqVo qxReqVo){
        try {
            String str = JSONObject.toJSONString(qxReqVo);
            logger.info("call method[{}] req params[{}]",url,str);
            JSONObject result = JSONObject.parseObject(HttpUtil.post(url,str, 10000));
            if (!"200".equals(result.getString("status"))) {
                throw new IllegalArgumentException("调用权限系统接口异常" + result.getString("msg"));
            }
            return result.getString("data");
        } catch (Exception e) {
            logger.error("获取天融信token状态失败：", e);
        }
        return null;
    }
}
