package com.bocloud.sms.repository;

import com.megatron.database.core.intf.impl.BasicGenericDao;
import com.bocloud.sms.model.PoolGroup;
import com.megatron.common.utils.MapTools;
import com.megatron.framework.core.CurrentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;


/**
 * 资源池关系
 *
 * @author hya
 * @since 2022-03-02
 */
@Repository
public class PoolGroupRepository extends BasicGenericDao<PoolGroup, Long> {

    @Autowired
    public PoolGroupRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    /**
     * 根据租户ID查询资源池绑定信息
     *
     * @param tenantId
     * @return
     * @throws Exception
     */
    public List<PoolGroup> listTenantPoolGroup(Long tenantId) {
        String sql = "select a.* from pool_group a left join  tenant_pool b on a.id = b.pool_group_id  where a.is_deleted = 0 and b.tenant_id = :tenantId";
        Map<String, Object> params = MapTools.simpleMap("tenantId", tenantId);
        return super.list(PoolGroup.class, sql, params);
    }
}
